Import translation price list
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/import"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"importedPriceRows": [
{
"errors": [
"<string>"
],
"price": {
"minimumPrice": 123,
"prices": {},
"sourceLang": "<string>",
"targetLang": "<string>"
},
"rowNum": 123
}
],
"rows": [
{
"errors": [
"<string>"
],
"price": {
"minimumPrice": 123,
"prices": {},
"sourceLang": "<string>",
"targetLang": "<string>"
},
"rowNum": 123
}
]
}Price List
Import translation price list
Returns a parsed preview with per-row validation errors. Prices are not persisted.
POST
/
api2
/
v1
/
priceLists
/
{priceListUid}
/
import
Import translation price list
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Headers
Available options:
multipart/form-data Path Parameters
Unique identifier of the price list
Body
multipart/form-data
XLSX file to upload
Was this page helpful?
⌘I